Version 4.0.26.22 (latest)

### Search Favorite Content

If multiple search params are given and `filter_or` is FALSE or not specified,
search params are combined in a logical AND operation.
Only rows that match *all* search param criteria will be returned.

If `filter_or` is TRUE, multiple search params are combined in a logical OR operation.
Results will include rows that match **any** of the search criteria.

String search params use case-insensitive matching.
String search params can contain `%` and '_' as SQL LIKE pattern match wildcard expressions.
example="dan%" will match "danger" and "Danzig" but not "David"
example="D_m%" will match "Damage" and "dump"

Integer search params can accept a single value or a comma separated list of values. The multiple
values will be combined under a logical OR operation - results will match at least one of
the given values.

Most search params can accept "IS NULL" and "NOT NULL" as special expressions to match
or exclude (respectively) rows where the column is null.

Boolean search params accept only "true" and "false" as values.

## Request

GET /content_favorite/search Datatype Description Request HTTP Request query HTTP Query Expand HTTP Query definition... id string Match content favorite id(s) user_id string Match user id(s). To create a list of multiple ids, use commas as separators content_metadata_id string Match content metadata id(s). To create a list of multiple ids, use commas as separators dashboard_id string Match dashboard id(s). To create a list of multiple ids, use commas as separators look_id string Match look id(s). To create a list of multiple ids, use commas as separators board_id string Match board id(s). To create a list of multiple ids, use commas as separators lookml_dashboard_id string Match lookml dashboard id(s). To create a list of multiple ids, use commas as separators include_board_items boolean If true, and board_id is provided, returns the content favorites for all items on the board. If false, returns the content favorite for the board itself. limit integer Number of results to return. (used with offset) offset integer Number of results to skip before returning any. (used with limit) sorts string Fields to sort by. fields string Requested fields. filter_or boolean Combine given search criteria in a boolean OR expression

## Response

### 200: Favorite Content

Datatype Description (array) [ContentFavorite](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ContentFavorite)\[\] id string Unique Id user_id string User Id which owns this ContentFavorite content_metadata_id string Content Metadata Id associated with this ContentFavorite look_id string Id of a look dashboard_id string Id of a dashboard look [LookBasic](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/LookBasic) Associated Look Expand LookBasic definition... can object Operations the current user is able to perform on this object content_metadata_id string Id of content metadata id string Unique Id title string Look Title user_id string User Id certification_metadata [Certification](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Certification) Certification metadata Expand Certification definition... certification_status string Certification status: "certified" or "revoked" Valid values are: "certified", "revoked". ui_status string Indicates whether the underlying model is ungoverned user_name string Display name of user who certified the content, derived from user_id notes string Certification notes updated_at string Timestamp of certification dashboard [DashboardBase](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DashboardBase) Associated Dashboard Expand DashboardBase definition... can object Operations the current user is able to perform on this object content_favorite_id string Content Favorite Id content_metadata_id string Id of content metadata description string Description hidden boolean Is Hidden id string Unique Id model [LookModel](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/LookModel) Model Expand LookModel definition... id string Model Id label string Model Label query_timezone string Timezone in which the Dashboard will run by default. readonly boolean Is Read-only refresh_interval string Refresh Interval, as a time duration phrase like "2 hours 30 minutes". A number with no time units will be interpreted as whole seconds. refresh_interval_to_i integer Refresh Interval in milliseconds folder [FolderBase](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/FolderBase) Folder Expand FolderBase definition... name string Unique Name parent_id string Id of Parent. If the parent id is null, this is a root-level entry id string Unique Id content_metadata_id string Id of content metadata created_at string Time the folder was created creator_id string User Id of Creator child_count integer Children Count external_id string Embedder's Id if this folder was autogenerated as an embedding shared folder via 'external_group_id' in an SSO embed login is_embed boolean Folder is an embed folder is_embed_shared_root boolean Folder is the root embed shared folder is_embed_users_root boolean Folder is the root embed users folder is_personal boolean Folder is a user's personal folder is_personal_descendant boolean Folder is descendant of a user's personal folder is_shared_root boolean Folder is the root shared folder is_users_root boolean Folder is the root user folder can object Operations the current user is able to perform on this object title string Dashboard Title user_id string Id of User slug string Content Metadata Slug preferred_viewer string The preferred route for viewing this dashboard (ie: dashboards or dashboards-next) certification_metadata [Certification](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Certification) Certification metadata Expand Certification definition... certification_status string Certification status: "certified" or "revoked" Valid values are: "certified", "revoked". ui_status string Indicates whether the underlying model is ungoverned user_name string Display name of user who certified the content, derived from user_id notes string Certification notes updated_at string Timestamp of certification board_id string Id of a board lookml_dashboard_id string Id of a lookml dashboard lookml_dashboard [DashboardBase](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DashboardBase) Associated LookML Dashboard Expand DashboardBase definition... can object Operations the current user is able to perform on this object content_favorite_id string Content Favorite Id content_metadata_id string Id of content metadata description string Description hidden boolean Is Hidden id string Unique Id model [LookModel](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/LookModel) Model Expand LookModel definition... id string Model Id label string Model Label query_timezone string Timezone in which the Dashboard will run by default. readonly boolean Is Read-only refresh_interval string Refresh Interval, as a time duration phrase like "2 hours 30 minutes". A number with no time units will be interpreted as whole seconds. refresh_interval_to_i integer Refresh Interval in milliseconds folder [FolderBase](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/FolderBase) Folder Expand FolderBase definition... name string Unique Name parent_id string Id of Parent. If the parent id is null, this is a root-level entry id string Unique Id content_metadata_id string Id of content metadata created_at string Time the folder was created creator_id string User Id of Creator child_count integer Children Count external_id string Embedder's Id if this folder was autogenerated as an embedding shared folder via 'external_group_id' in an SSO embed login is_embed boolean Folder is an embed folder is_embed_shared_root boolean Folder is the root embed shared folder is_embed_users_root boolean Folder is the root embed users folder is_personal boolean Folder is a user's personal folder is_personal_descendant boolean Folder is descendant of a user's personal folder is_shared_root boolean Folder is the root shared folder is_users_root boolean Folder is the root user folder can object Operations the current user is able to perform on this object title string Dashboard Title user_id string Id of User slug string Content Metadata Slug preferred_viewer string The preferred route for viewing this dashboard (ie: dashboards or dashboards-next) certification_metadata [Certification](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Certification) Certification metadata Expand Certification definition... certification_status string Certification status: "certified" or "revoked" Valid values are: "certified", "revoked". ui_status string Indicates whether the underlying model is ungoverned user_name string Display name of user who certified the content, derived from user_id notes string Certification notes updated_at string Timestamp of certification

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link